/* /Components/Dialog.razor.rz.scp.css */
.div-backdrop[b-gbwa5hmbtf] {
    opacity: 0;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    background-color: #aaaa;
    transition: .5s;
    z-index: 99999;
}
.div-backdrop[visible][b-gbwa5hmbtf] {
    opacity:1;
    transition: .5s;
}

.div-root[b-gbwa5hmbtf] {
    position: absolute;
    opacity: 0;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    padding: 5px;
    background-color: darkslategrey;
    color: white;
    border: 3px solid darkslategrey;
    border-radius: 10px;
    box-shadow: 5px 5px 15px 5px #000000;
    z-index: 99999;
    transform: translateX(-500px);
    transition: 200ms;
}
    .div-root:focus-visible[b-gbwa5hmbtf] {
        outline:0;
    }

    .div-root[visible][b-gbwa5hmbtf] {
        opacity:1;
        transform: translateX(0);
        transition: 200ms;
    }


/* /Components/DialogMessage.razor.rz.scp.css */
.div-root[b-nr7vrpy87d] {
    display: flex;
    flex-direction:column;
}

.div-title[b-nr7vrpy87d] {
    margin: 5px;
}

.div-body[b-nr7vrpy87d] {
    flex: 1;
    margin: 5px;
}

.div-bottom[b-nr7vrpy87d] {
    margin: 5px;
    margin-left: auto;    
}

button[b-nr7vrpy87d] {
    width: 80px;
}

.div-spinner-backdrop[b-nr7vrpy87d] {
    display:none;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #aaaa;
    z-index: 99999;
}
.div-spinner-backdrop[visible][b-nr7vrpy87d] {
    display:initial;
}

.div-spinner[b-nr7vrpy87d] {
    display: none;
    position: absolute;
    top: 50%;
    left: 50%;
    width: fit-content;
    height: fit-content;
    background-color: transparent;
    color: white;
    z-index: 99999;
    transform: translate(-50%,-50%);
}

    .div-spinner[visible][b-nr7vrpy87d] {
        display: initial;
    }

.loader[b-nr7vrpy87d] {
    border: 5px solid #f3f3f3;
    border-radius: 50%;
    border-top: 5px solid transparent;
    width: 50px;
    height: 50px;
    -webkit-animation: spin 2s linear infinite; /* Safari */
    animation: spin-b-nr7vrpy87d 1s linear infinite;
}

/* Safari */
@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin-b-nr7vrpy87d {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}
/* /Components/PInput.razor.rz.scp.css */
label[b-1q4qtnrlcl] {
    font-size:small;
    opacity:.7;
}
/* /Components/PTextArea.razor.rz.scp.css */
label[b-u7dgw87x57] {
    font-size: small;
    opacity: .7;
}
/* /Components/PwmArchiveViewer.razor.rz.scp.css */
.div-root[b-3tbvgpopsq] {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.div-header[b-3tbvgpopsq] {
    display:flex;
    padding: 2px;
}
#div-header > button[b-3tbvgpopsq] {
    width: auto;
    margin: 3px;
}
#div-header > input[b-3tbvgpopsq] {
    flex:1;
    margin: 3px;
}

.div-header button[b-3tbvgpopsq] {
    width:140px;
}
#div-opt > button[b-3tbvgpopsq] {
    width: 100%;
    margin:5px;
}

.div-list[b-3tbvgpopsq] {
    flex-grow: 1;
    flex-basis: 0;
    padding: 2px;
    overflow: auto;
    height: 100%;
}

.div-list-row[b-3tbvgpopsq] {
    margin: 5px;
    cursor: pointer;
    background-color: darkslategrey;
    color:white;
    border-radius: 5px;
    padding: 5px;
}
    .div-list-row button[b-3tbvgpopsq] {
        display:none;
        margin-left:3px;
        margin-right:3px;
        overflow:hidden;
    }
    .div-list-row p[b-3tbvgpopsq] {
        font-size:small;
    }

    .div-list-row[selected][b-3tbvgpopsq] {        
        box-shadow: 0 0 0 0.25rem rgb(13 110 253 / 25%);
    }

    .div-list-row[selected] button[b-3tbvgpopsq] {
        display:initial;
    }

/* /Components/SideMenu.razor.rz.scp.css */
.div-root[b-crio2hflqc] {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: fit-content;
    max-width: 80%;
    background-color: darkslategrey;
    transform: translateX(-100%);
    transition: 200ms;
    z-index: 99991;
}

.div-root[open][b-crio2hflqc]{
    padding-right: 15px;
    transform:translateX(0);
    transition: 200ms;
}

.div-header[b-crio2hflqc] {
    display:flex;
    background-color: darkslategrey;
    padding: 10px;
    font-size: large;
    color: white;
}
.span-title[b-crio2hflqc] {
    flex:1;
}
.span-menu[b-crio2hflqc] {
    margin-left: 15px;
    cursor: pointer;
}


.div-item-root[b-crio2hflqc] {
    opacity: .8;
    align-items: center;
    padding: 10px;
    font-size: large;
    color: white;
    cursor: pointer;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}
.div-item-root:hover[b-crio2hflqc] {
    opacity:1;
}
.div-item-text[b-crio2hflqc]{

}
.div-item-icon[b-crio2hflqc]{
    margin-right: 10px;
}

.div-backdrop[b-crio2hflqc] {
    display: none;    
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    background-color: #aaaa;    
    z-index: 99990;
}

    .div-backdrop[visible][b-crio2hflqc] {        
        display: initial;        
    }

/* /Dialogs/DialogAppConnectArchive.razor.rz.scp.css */
.div-root[b-t5axj8bxbx] {
    display: flex;
    flex-direction: column;
}

.div-title[b-t5axj8bxbx] {
    margin-right: 3ch;
}

.div-body[b-t5axj8bxbx] {
    flex: 1;
    margin: 5px;
}

.div-footer[b-t5axj8bxbx] {
    width: fit-content;
    margin-top: 10px;
    margin-left: auto;
}

button[b-t5axj8bxbx] {
    width: 12ch;
}

label[b-t5axj8bxbx] {
    opacity: .7;
    font-size: small;
}
/* /Dialogs/DialogAppCreateNewArchive.razor.rz.scp.css */
.div-root[b-bccxdwrise] {
    display: flex;
    flex-direction: column;
}

.div-title[b-bccxdwrise] {    
    margin-right: 3ch;
}

.div-body[b-bccxdwrise] {
    flex:1;
    margin: 5px;
}

.div-footer[b-bccxdwrise] {
    width: fit-content;
    margin-top: 10px;
    margin-left: auto;
}

button[b-bccxdwrise] {
    width: 12ch;
}

label[b-bccxdwrise] {
    opacity: .7;
    font-size: small;
}

/* /Dialogs/DialogAppInitialize.razor.rz.scp.css */
.div-root[b-ulymwb8xfr] {
    display: flex;
    flex-direction: column;
}

.div-title[b-ulymwb8xfr] {
    margin-right: 3ch;
}

.div-body[b-ulymwb8xfr] {
    flex: 1;
    margin: 5px;
}

.div-footer[b-ulymwb8xfr] {
    width: fit-content;
    margin-top: 10px;
    margin-left: auto;
}

button[b-ulymwb8xfr] {
    width: 12ch;
}

label[b-ulymwb8xfr] {
    opacity: .7;
    font-size: small;
}
/* /Dialogs/DialogAppLogin.razor.rz.scp.css */
.div-root[b-5lk82mzo8r] {
    display: flex;
    flex-direction: column;
}

.div-title[b-5lk82mzo8r] {
    margin-right: 3ch;
}

.div-body[b-5lk82mzo8r] {
    flex: 1;
    margin: 5px;
}

.div-footer[b-5lk82mzo8r] {
    width: fit-content;
    margin-top: 10px;
    margin-left: auto;
}

button[b-5lk82mzo8r] {
    width: 12ch;
}

label[b-5lk82mzo8r] {
    opacity: .7;
    font-size: small;
}
/* /Dialogs/DialogArchiveEdit.razor.rz.scp.css */
.div-root[b-xr6dxb9de3] {
    display: flex;
    flex-direction: column;
    min-width: 300px;
}

.div-title[b-xr6dxb9de3] {
    margin-right: 3ch;
}

.div-body[b-xr6dxb9de3] {
    flex: 1;
    margin: 5px;
}
#body button[b-xr6dxb9de3] {
    width:100%;
    margin-top: 10px;
}

.div-footer[b-xr6dxb9de3] {
    width: fit-content;
    margin-top: 10px;
    margin-left: auto;
}

button[b-xr6dxb9de3] {
    width: 12ch;
}

label[b-xr6dxb9de3] {
    opacity: .7;
    font-size: small;
}
/* /Dialogs/DialogChangePassword.razor.rz.scp.css */
.div-root[b-ap476zx7mb] {
    display: flex;
    flex-direction: column;
}

.div-title[b-ap476zx7mb] {
    margin-right: 3ch;
}

.div-body[b-ap476zx7mb] {
    flex: 1;
    margin: 5px;
}

.div-footer[b-ap476zx7mb] {
    width: fit-content;
    margin-top: 10px;
    margin-left: auto;
}

button[b-ap476zx7mb] {
    width: 12ch;
}

label[b-ap476zx7mb] {
    opacity: .7;
    font-size: small;
}
/* /Dialogs/DialogItemEdit.razor.rz.scp.css */
.div-root[b-dpsnhkd5dr] {
    display: flex;
    flex-direction: column;
}

.div-title[b-dpsnhkd5dr] {
    margin-right: 3ch;
}

.div-body[b-dpsnhkd5dr] {
    flex: 1;
    margin: 5px;
}

.div-footer[b-dpsnhkd5dr] {
    width: fit-content;
    margin-top: 10px;
    margin-left: auto;
}


button[b-dpsnhkd5dr] {
    width: 12ch;
}

label[b-dpsnhkd5dr] {
    opacity: .7;
    font-size: small;
}
/* /Dialogs/DialogPinLock.razor.rz.scp.css */
.div-root[b-ixmsuir8cv] {
    display: initial;
    flex-direction: column;
    outline: hidden;
}
.div-root:focus-visible[b-ixmsuir8cv]{
    outline:0;
}

.div-display[b-ixmsuir8cv] {    
    text-align:center;
    font-size:x-large;    
    min-height:2em;
}
.div-keyboard[b-ixmsuir8cv] {
    display: grid;
    gap:10px;
    grid-template-columns: 1fr 1fr 1fr;
    align-items: center;
    
}

.div-bottom[b-ixmsuir8cv] {
    margin-top:20px;
    display: grid;
    gap: 10px;
    grid-template-columns: 1fr 1fr;
    align-items: center;
}


.div-button[b-ixmsuir8cv] {
    display: flex;
    border: 1px gray;
    background-color: #FFFFFF30;
    padding: 10px;
    border-radius: 10px;
    width: 100%;
    height: 100%;
    align-items: center;
    justify-content: center;
    font-size: x-large;
    cursor: pointer;
}

    .div-button[pressed][b-ixmsuir8cv] {
        background-color: #FFFFFFA0;
    }

.div-button-cancel[b-ixmsuir8cv] {
    background-color: #dc3545;
}
/* /Pages/MainLayout.razor.rz.scp.css */
.div-root[b-kufjo3lrk8] {
    display:flex;
    flex-direction:column;
    position: absolute;
    width:100%;
    height:100%;
    overflow:hidden;
}

.div-header[b-kufjo3lrk8] {
    background-color: darkslategrey;
    padding: 10px;
    font-size: large;
    color: white;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}
.span-menu[b-kufjo3lrk8] {
    margin-right:15px;
    cursor:pointer;
}

.div-body[b-kufjo3lrk8] {
    flex: 1;
    background-color: #335e5e;
    color:white;
}

.div-footer[b-kufjo3lrk8] {
    color:white;
    padding:5px;
    font-size: small;
    background-color: darkslategrey;
}
/* /Pages/PageArcManager.razor.rz.scp.css */
.div-root[b-9pmtjvxqhb] {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.div-header[b-9pmtjvxqhb] {
    display:grid;
    grid-template-columns : 1fr 1fr;
    padding: 2px;
}
.div-header button[b-9pmtjvxqhb] {
    margin:5px;
}

.div-list[b-9pmtjvxqhb] {
    flex-grow: 1;
    flex-basis: 0;
    padding: 10px;
    overflow: auto;
    height: 100%;
}

.div-list-row[b-9pmtjvxqhb] {
    margin: 5px;
    cursor: pointer;
    background-color: darkslategrey;
    color:white;
    border-radius: 5px;
    padding: 5px;
}

    .div-list-row button[b-9pmtjvxqhb] {
        display: none;
        margin-left: 3px;
        margin-right: 3px;
        overflow: hidden;
    }

    .div-list-row p[b-9pmtjvxqhb] {
        font-size: small;
    }

    .div-list-row[selected][b-9pmtjvxqhb] {
        box-shadow: 0 0 0 0.25rem rgb(13 110 253 / 25%);
    }

        .div-list-row[selected] button[b-9pmtjvxqhb] {
            display: initial;
        }
/* /Pages/PageMain.razor.rz.scp.css */
.div-root[b-fwkktnaxfz] {
    position:relative;
    width: 100%;
    height: 100%;
}

.div-center[b-fwkktnaxfz] {
    position:relative;
    margin:0;
    top:50%;
    left:50%;
    transform: translate(-50%,-50%);
    width:fit-content;
    height:fit-content;

    display:flex;
    flex-direction:column;
    justify-items: center;
    align-items:center;

    padding:20px;
    border-radius: 10px;
    background-color:darkslategrey;
}

.div-center p[b-fwkktnaxfz] {
    text-align: center;
}
